Browse Source

Merge branch 'maint-0.3.3'

Nick Mathewson 6 years ago
parent
commit
11114c7e83
3 changed files with 14 additions and 15 deletions
  1. 5 0
      changes/bug25560
  2. 1 1
      src/test/include.am
  3. 8 14
      src/test/test_rust.sh

+ 5 - 0
changes/bug25560

@@ -0,0 +1,5 @@
+  o Minor bugfixes (testing, rust):
+    - Some of our Rust crates were not having their tests run with `make
+      test-rust` due to a static string in the `src/test/test_rust.sh` script
+      specifying which crates to test.  Rust crates are not automatically
+      detected and tested.  Fixes bug 25560; bugfix on 0.3.3.3-alpha.

+ 1 - 1
src/test/include.am

@@ -361,4 +361,4 @@ EXTRA_DIST += \
 	src/test/test_workqueue_socketpair.sh
 
 test-rust:
-	$(TESTS_ENVIRONMENT) $(abs_top_srcdir)/src/test/test_rust.sh
+	$(TESTS_ENVIRONMENT) "$(abs_top_srcdir)/src/test/test_rust.sh"

+ 8 - 14
src/test/test_rust.sh

@@ -1,20 +1,14 @@
 #!/bin/sh
 # Test all Rust crates
 
-crates="protover tor_util smartlist tor_allocate"
-
-exitcode=0
-
 set -e
 
-for crate in $crates; do
-    cd "${abs_top_builddir:-../../..}/src/rust"
-    CARGO_TARGET_DIR="${abs_top_builddir:-../../..}/src/rust/target" \
-      CARGO_HOME="${abs_top_builddir:-../../..}/src/rust" \
-      "${CARGO:-cargo}" test --all-features ${CARGO_ONLINE-"--frozen"} \
-      --manifest-path "${abs_top_srcdir:-.}/src/rust/${crate}/Cargo.toml" \
-	|| exitcode=1
-    cd -
-done
+CARGO_TARGET_DIR="${abs_top_builddir:-../../..}/src/rust/target" \
+    CARGO_HOME="${abs_top_builddir:-../../..}/src/rust" \
+    find "${abs_top_srcdir:-../../..}/src/rust" \
+    -mindepth 2 -maxdepth 2 \
+    -type f -name 'Cargo.toml' \
+    -exec "${CARGO:-cargo}" test --all-features ${CARGO_ONLINE-"--frozen"} \
+    --manifest-path '{}' \;
 
-exit $exitcode
+exit $?